.agents-view {
    gap: 24px;
    height: 100%;
    width: 100%;
    box-sizing: border-box;
    padding: 24px 24px 24px 48px;
    overflow: scroll;
}

.agents-view > .card {
    width: 280px;
    max-height: 300px;
    box-sizing: border-box;
    padding: 24px;
    border-radius: 8px;
    background-color: var(--main-soft);
    overflow: hidden;
    transition: 0.6s;
    cursor: pointer;
}

.agents-view > .card.filter-out {
    width: 0px;
    max-height: 0px;
    padding: 0;
}

.agents-view > .card:hover {
    box-shadow: rgba(163, 225, 220, 0.7) 0px 0px 6px;
}

.agents-view > .card.active {
    width: 100%;
    height: 100%;
    max-height: 100%;
    box-shadow: rgba(163, 225, 220, 0.7) 0px 0px 6px;
    cursor: default;
}

.agents-view > .card input.id {
    max-width: fit-content;
    box-sizing: border-box;
    padding: 4px 6px;
    border: 1px solid var(--theme-soft);
    border-radius: 4px;
    background-color: transparent;
    color: var(--theme-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    cursor: pointer;
}

.agents-view > .card.active input.id {
    cursor: default;
}

.agents-view > .card.active input.id.invalid {
    border-color: var(--alert);
}

.agents-view > .card label.id {
    max-width: fit-content;
    box-sizing: border-box;
    padding: 4px 6px;
    border: 1px solid var(--theme-soft);
    border-radius: 4px;
    background-color: transparent;
    color: var(--theme-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    cursor: pointer;
}

.agents-view > .card.active label.id {
    cursor: default;
}

.agents-view > .card input.id {
    display: none;
    max-width: fit-content;
    box-sizing: border-box;
    padding: 4px 6px;
    border: 1px solid var(--theme-soft);
    border-radius: 4px;
    background-color: transparent;
    color: var(--theme-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    cursor: pointer;
}

.agents-view > .card.active input.id {
    cursor: text;
}

.agents-view > .card.new input.id {
    display: block;
}

.agents-view > .card.new label.id {
    display: none;
}

.agents-view > .card .card-content {
    height: calc(100% - 29px);
    background-color: transparent;
    overflow: hidden;
}

.agents-view > .card .content {
    width: 100%;
}

.agents-view > .card.active .content {
    width: 40%;
}

.agents-view > .card .md-preview {
    width: 0%;
    padding: 0;
    overflow: hidden;
}

.agents-view > .card.active .md-preview {
    width: 60%;
}

.agents-view > .card .action {
    position: relative;
    display: none;
    height: 24px;
    width: 24px;
    box-sizing: border-box;
    border-radius: 12px;
    color: var(--text-color);
    font-family: Inter;
    font-size: 12px;
    font-weight: 600;
    opacity: 0;
    overflow: visible;
    transition: 0.4s;
    cursor: pointer;
}

.agents-view > .card.stable .action.save {
    display: none!important;
}

.agents-view > .card.new .action.close {
    display: none!important;
}

.agents-view > .card .action.save {
    background-color: var(--focus);
}

.agents-view > .card .action.delete {
    background-color: var(--alert);
}

.agents-view > .card .action.close {
    background-color: var(--theme);
}

.agents-view > .card.active .action {
    display: flex;
    opacity: 1;
}

.agents-view > .card.active .action:hover {
    padding: 0 12px;
}

.agents-view > .card.active .action.save:hover {
    width: 72px;
}

.agents-view > .card.active .action.close:hover {
    width: 76px;
}

.agents-view > .card.active .action.delete:hover {
    width: 78px;
}

.agents-view > .card .action > img {
    height: 50%;
    width: auto;
    margin: 0 8px 0 7px;
    transition: 0.6s;
    cursor: pointer;
}

.agents-view > .card .action:hover > img {
    margin: 0 8px 0 0;
}

.agents-view > .card .action > span {
    width: 0px;
    overflow: hidden;
    transition: 0.7s;
}

.agents-view > .card .action:hover > span {
    width: fit-content;
}

.agents-view > .card label.name {
    display: block;
    border: 1px solid transparent;
    border-radius: 4px;
    margin-top: 0;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    opacity: 0;
    transition: 0.6s;
    cursor: pointer;
}

.agents-view > .card.active label.name {
    margin-top: 40px;
    opacity: 1;
    cursor: default;
}

.agents-view > .card input.name {
    display: block;
    max-width: 100%;
    box-sizing: border-box;
    padding: 4px 0;
    border: 1px solid transparent;
    background-color: transparent;
    color: var(--text-color);
    font-family: Inter;
    font-size: 32px;
    font-weight: 700;
    transition: 0.6s;
    cursor: pointer;
}

.agents-view > .card input.name.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}

.agents-view > .card.active input.name {
    width: fit-content;
    font-size: 46px;
    cursor: text;
}

.agents-view > .card.active input.name:hover {
    border-bottom: 1px solid var(--focus-hard);
}

.agents-view > .card.active input.name:focus {
    border-bottom: 1px solid var(--focus-hard);
}

.agents-view > .card.active input.name.invalid {
    border-color: var(--alert);
}

.agents-view > .card label.model-id {
    display: none;
    border: 1px solid transparent;
    border-radius: 4px;
    margin-top: 0;
    background-color: transparent;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    transition: 0.6s;
    opacity: 0;
    cursor: pointer;
}

.agents-view > .card.active label.model-id {
    display: block;
    margin-top: 40px;
    opacity: 1;
    cursor: default;
}

.agents-view > .card input.model-id {
    display: block;
    max-width: 100%;
    box-sizing: border-box;
    padding: 4px 0;
    border: 1px solid transparent;
    background-color: transparent;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 700;
    transition: 0.6s;
    cursor: pointer;
}

.agents-view > .card input.model-id.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}

.agents-view > .card.active input.model-id {
    width: 100%;
    color: var(--text-color);
    font-size: 24px;
    cursor: text;
}

.agents-view > .card.active input.model-id:hover {
    border-bottom: 1px solid var(--focus-hard);
}

.agents-view > .card.active input.model-id:focus {
    border-bottom: 1px solid var(--focus-hard);
}

.agents-view > .card.active input.model-id.invalid {
    border-color: var(--alert);
}

.agents-view > .card label.voice-id {
    display: none;
    border: 1px solid transparent;
    border-radius: 4px;
    margin-top: 0;
    background-color: transparent;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    transition: 0.6s;
    opacity: 0;
    cursor: pointer;
}

.agents-view > .card.active label.voice-id {
    display: block;
    margin-top: 40px;
    opacity: 1;
    cursor: default;
}

.agents-view > .card input.voice-id {
    display: block;
    max-width: 100%;
    box-sizing: border-box;
    padding: 4px 0;
    border: 1px solid transparent;
    background-color: transparent;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 700;
    transition: 0.6s;
    cursor: pointer;
}

.agents-view > .card input.voice-id.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}

.agents-view > .card.active input.voice-id {
    width: 100%;
    color: var(--text-color);
    font-size: 24px;
    cursor: text;
}

.agents-view > .card.active input.voice-id:hover {
    border-bottom: 1px solid var(--focus-hard);
}

.agents-view > .card.active input.voice-id:focus {
    border-bottom: 1px solid var(--focus-hard);
}

.agents-view > .card.active input.voice-id.invalid {
    border-color: var(--alert);
}

.agents-view > .card .voice {
    justify-content: space-between;
    gap: 16px;
    margin-top: 14px;
}

.agents-view > .card.active .voice {
    justify-content: start;
    margin-top: 24px;
}

.agents-view > .card .block {
    max-width: 45%;
    height: 108px;
    box-sizing: border-box;
    padding: 8px;
    border: 1px solid var(--light-contrast);
    border-radius: 4px;
    margin-top: 12px;
    transition: 0.6s;
    cursor: pointer;
}

.agents-view > .card.active .block {
    height: 88px;
    max-width: 35%;
    padding: 0;
    border: 1px solid transparent;
    cursor: default;
}

.agents-view > .card .block > label {
    color: var(--text-color);
    font-family: Inter;
    font-size: 15px;
    font-weight: 600;
    transition: 0.6s;
    cursor: pointer;
}

.agents-view > .card.active .block > label {
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    transition: 0.6s;
    cursor: default;
}

.agents-view > .card .block > input {
    max-width: 100%;
    box-sizing: border-box;
    padding: 4px 0;
    border: 1px solid transparent;
    background-color: transparent;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 30px;
    font-weight: 700;
    transition: 0.6s;
    cursor: pointer;
}

.agents-view > .card .block > input.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}

.agents-view > .card.active .block > input {
    width: fit-content;
    color: var(--text-color);
    font-size: 46px;
    cursor: text;
}

.agents-view > .card.active .block > input:hover {
    border-bottom: 1px solid var(--focus-hard);
}

.agents-view > .card.active .block > input:focus {
    border-bottom: 1px solid var(--focus-hard);
}

.agents-view > .card.active .block > input.similarity.invalid {
    border-color: var(--alert);
}

.agents-view > .card.active .block > input.latency.invalid {
    border-color: var(--alert);
}

.agents-view > .card.active .block > input.stability.invalid {
    border-color: var(--alert);
}

.agents-view > .card label.prompt {
    display: block;
    border: 1px solid transparent;
    border-radius: 4px;
    margin-top: 0;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    opacity: 0;
    transition: 0.6s;
    cursor: pointer;
}

.agents-view > .card.active label.prompt {
    margin-top: 40px;
    opacity: 1;
    cursor: default;
}

.agents-view > .card textarea.prompt {
    display: none;
    height: 320px;
    width: 100%;
    box-sizing: border-box;
    padding: 12px;
    border: 1px solid var(--focus-hard);
    border-radius: 6px;
    margin-top: 8px;
    background-color: transparent;
    color: var(--text-color);
    font-family: Inter;
    font-size: 14px;
    line-height: 15px;
    font-weight: 400;
    resize: none;
    transition: 0.6s;
    cursor: pointer;
}

.agents-view > .card textarea.prompt.filtered {
    color: var(--text-color);
    text-shadow: 0 0 1px #fff, 0 0 2px var(--theme-soft), 0 0 3px var(--theme-soft), 0 0 4px var(--theme), 0 0 5px var(--theme), 0 0 6px var(--theme-hard), 0 0 8px var(--theme-hard);
}

.agents-view > .card.active textarea.prompt {
    display: block;
    cursor: text;
}

.agents-view > .card.active textarea.prompt:hover {
    border: 1px solid var(--focus-hard);
}

.agents-view > .card.active textarea.prompt:focus {
    border: 1px solid var(--focus-hard);
}

.agents-view > .card.active textarea.prompt.invalid {
    border-color: var(--alert);
}

.agents-view > .card.active .md-preview {
    margin-top: 0;
    box-sizing: border-box;
    padding: 24px 80px;
    padding-top: 40px;
    color: var(--text-color);
    font-family: Inter;
    overflow: auto;
}

.agents-view > .card .md-preview > .md-preview-label {
    display: block;
    color: var(--focus-soft);
    font-family: Inter;
    font-size: 11px;
    font-weight: 400;
    opacity: 0;
    transition: 0.6s;
    cursor: pointer;
}

.agents-view > .card.active .md-preview > .md-preview-label {
    opacity: 1;
    cursor: default;
}